Issue in running 'install-prereqs.sh' file

Sir,
The following error message is displayed while running the file ‘install-prereqs.sh’:

Err:23 http://ppa.launchpad.net/cpug-devs/ppa/ubuntu bionic Release
404 Not Found [IP: 91.189.95.83 80]
Err:24 http://ppa.launchpad.net/jonathonf/gcc-5.4/ubuntu bionic Release
404 Not Found [IP: 91.189.95.83 80]
Err:25 http://ppa.launchpad.net/shutter/ppa/ubuntu bionic Release
404 Not Found [IP: 91.189.95.83 80]
Err:12 https://ftp.yz.yamagata-u.ac.jp/pub/CTAN/systems/win32/miktex/setup/deb stretch InRelease
The following signatures were invalid: EXPKEYSIG 277A7293F59E4889 MiKTeX Packager packager@miktex.org
Reading package lists… Done
E: The repository ‘http://ppa.launchpad.net/cpug-devs/ppa/ubuntu bionic Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository ‘http://ppa.launchpad.net/jonathonf/gcc-5.4/ubuntu bionic Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository ‘http://ppa.launchpad.net/shutter/ppa/ubuntu bionic Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://ftp.yz.yamagata-u.ac.jp/pub/CTAN/systems/win32/miktex/setup/deb stretch InRelease: The following signatures were invalid: EXPKEYSIG 277A7293F59E4889 MiKTeX Packager packager@miktex.org